"use strict";
// Copyright (c) Mito
// Distributed under the terms of the Modified BSD License.
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importStar(require("react"));
require("../../../css/large-select.css");
/*
  A custom select dropdown component created for use in the default taskpane
  The Large Select element is wider than the Small Select element
*/
const LargeSelect = (props) => {
    const optionsElements = [];
    props.optionsArray.forEach((option) => {
        if (typeof option === 'string') {
            optionsElements.push((react_1.default.createElement("option", { value: option, key: option }, option)));
        }
        else {
            optionsElements.push(option);
        }
    });
    const className = !props.extraLarge ? 'select large-select' : 'select extra-large-select';
    return (react_1.default.createElement(react_1.Fragment, null,
        react_1.default.createElement("select", { className: className, value: props.startingValue, onChange: (e) => props.setValue(e.target.value) }, optionsElements)));
};
exports.default = LargeSelect;
//# sourceMappingURL=LargeSelect.js.map