"use strict";
// Copyright (c) Mito
// Distributed under the terms of the Modified BSD License.
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importStar(require("react"));
require("../../../css/small-select.css");
/*
  A custom select dropdown component created for use in the default taskpane
*/
var TitleColor;
(function (TitleColor) {
    TitleColor["BLUE"] = "#0081DE";
    TitleColor["DARK"] = "#343434";
})(TitleColor = exports.TitleColor || (exports.TitleColor = {}));
const SmallSelect = (props) => {
    const optionsElements = [];
    props.optionsArray.forEach(option => {
        optionsElements.push((react_1.default.createElement("option", { value: option, key: option }, option)));
    });
    /*
        NOTE: because the starting value is not selectable, make sure if its an actual
        option that you want to be selected by default that you elsewhere set the startingValue
        to be selected.

        we use this because in the pivot table screen, we want to be able to have the select dropdown
        default to the title 'add' which is not an aggregation method so should not be able to be clicked.
    */
    return (react_1.default.createElement(react_1.Fragment, null,
        react_1.default.createElement("select", { className: 'small-select', value: props.startingValue, style: { color: props.titleColor }, onChange: (e) => props.setValue(e.target.value) },
            react_1.default.createElement("option", { selected: true, hidden: true }, props.startingValue),
            optionsElements)));
};
exports.default = SmallSelect;
//# sourceMappingURL=SmallSelect.js.map