"use strict";
// Copyright (c) Mito
// Distributed under the terms of the Modified BSD License.
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const Mito_1 = require("../Mito");
// import css
require("../../../css/margins.css");
require("../../../css/default-modal.css");
/*
    A modal that asks the user to sign up for a demo
*/
const BookDemoModal = (props) => {
    const bookDemo = (e) => {
        // Prevent the page from reloading when the form submits
        e.preventDefault();
        // Open a new tab to the Hubspot demo booking screen w/ the email already filled in
        window.open(`https://meetings.hubspot.com/nate301/mito-early-access-check-in?utm_campaign=Mito&utm_source=in-app-demo-signup&email=${props.userEmail}`, '_blank');
        props.setModal({ type: Mito_1.ModalEnum.None });
    };
    return (react_1.default.createElement("div", { className: 'modal-container' },
        react_1.default.createElement("div", { className: 'modal' },
            react_1.default.createElement("div", { className: 'modal-header-text-div' },
                react_1.default.createElement("p", null, 'Help us Improve Mito')),
            react_1.default.createElement("div", { className: "modal-message" },
                react_1.default.createElement("p", null, "Book an onboarding. Once we get to know you, we can help you with your analysis and build new features just for you!"),
                react_1.default.createElement("div", { className: 'modal-buttons' },
                    react_1.default.createElement("div", { className: 'modal-close-button modal-dual-button-left', onClick: () => { props.setModal({ type: Mito_1.ModalEnum.None }); } }, " Close "),
                    react_1.default.createElement("form", { onSubmit: (e) => bookDemo(e) },
                        react_1.default.createElement("button", { className: 'modal-action-button', type: 'submit', autoFocus: true },
                            " ",
                            "Book a Demo")))))));
};
exports.default = BookDemoModal;
//# sourceMappingURL=BookDemoModal.js.map