"use strict";
// Copyright (c) Mito
// Distributed under the terms of the Modified BSD License.
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importStar(require("react"));
const Mito_1 = require("../Mito");
const DefaultModal_1 = __importDefault(require("../DefaultModal"));
// import css
require("../../../css/save-analysis-modal.css");
/*
  A modal that appears if a user tries to overwrite a saved analysis,
  prompting them they want to overwrite it.
*/
const SaveAnalysisOverwriteModal = (props) => {
    const clickBack = () => {
        props.setModal({
            type: Mito_1.ModalEnum.SaveAnalysis,
            saveAnalysisName: props.saveAnalysisName
        });
    };
    const clickOverwrite = () => __awaiter(void 0, void 0, void 0, function* () {
        yield props.mitoAPI.sendSaveAnalysisMessage(props.saveAnalysisName);
        props.setModal({ type: Mito_1.ModalEnum.None });
    });
    return (react_1.default.createElement(DefaultModal_1.default, { header: `There is already an analysis called ${props.saveAnalysisName}`, modalType: Mito_1.ModalEnum.SaveAnalysisOverwrite, viewComponent: react_1.default.createElement(react_1.Fragment, null,
            react_1.default.createElement("p", null, "Saving this analysis will overwrite your existing analysis. Are you sure you want to continue?")), buttons: react_1.default.createElement(react_1.Fragment, null,
            react_1.default.createElement("div", { className: 'modal-close-button modal-dual-button-left', onClick: clickBack }, " Back "),
            react_1.default.createElement("div", { className: 'modal-action-button modal-dual-button-right', onClick: clickOverwrite }, " Overwrite")) }));
};
exports.default = SaveAnalysisOverwriteModal;
//# sourceMappingURL=SaveAnalysisOverwriteModal.js.map