"use strict";
// Copyright (c) Mito
// Distributed under the terms of the Modified BSD License.
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const Mito_1 = require("../Mito");
// import css
require("../../../css/margins.css");
require("../../../css/default-modal.css");
const react_2 = require("react");
/*
    A modal that requests the user's email to sign up
*/
const SignUpModal = (props) => {
    const [userEmail, setUserEmail] = react_2.useState('');
    const signUp = () => __awaiter(void 0, void 0, void 0, function* () {
        yield props.mitoAPI.sendSignUp(userEmail);
        props.setModal({ type: Mito_1.ModalEnum.BookDemo, userEmail: userEmail });
    });
    return (react_1.default.createElement("div", { className: 'modal-container' },
        react_1.default.createElement("div", { className: 'modal' },
            react_1.default.createElement("div", { className: 'modal-header-text-div' },
                react_1.default.createElement("p", null, 'Sign Up to Get Started with Mito')),
            react_1.default.createElement("div", { className: "modal-message" },
                react_1.default.createElement("form", { onSubmit: signUp },
                    react_1.default.createElement("div", null,
                        react_1.default.createElement("p", { className: 'modal-input-label' }, "Email"),
                        react_1.default.createElement("input", { className: "modal-input", type: "email", placeholder: 'example@gmail.com', value: userEmail, onChange: (e) => setUserEmail(e.target.value), required: true, autoFocus: true }),
                        react_1.default.createElement("p", { className: 'mt-2' }, "We'll only email you about Mito. We'll send you information about new features and your free trial. We'll never share you email with anyone!")),
                    react_1.default.createElement("div", { className: 'modal-buttons' },
                        react_1.default.createElement("button", { className: 'modal-action-button', type: 'submit' },
                            " ",
                            "Sign Up")))))));
};
exports.default = SignUpModal;
//# sourceMappingURL=SignupModal.js.map