"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const Filter_1 = require("./Filter");
require("../../../../../css/filter-card.css");
/*
    Component that contains a group of filters
*/
function FilterGroup(props) {
    return (react_1.default.createElement("div", { className: "filter-group filter-object-item" },
        props.filters.map((filter, index) => {
            return (react_1.default.createElement(Filter_1.Filter, { first: index === 0, key: index, filter: filter, operator: props.groupOperator, displayOperator: true, setFilter: (newFilter) => {
                    props.setFilter(index, newFilter);
                }, setOperator: props.setOperator, deleteFilter: () => { props.deleteFilter(index); } }));
        }),
        react_1.default.createElement("div", { className: 'filter-add-filter-button', onClick: props.addFilter }, "+ Add a Filter")));
}
exports.default = FilterGroup;
//# sourceMappingURL=FilterGroup.js.map