"use strict";
// Copyright (c) Mito
// Distributed under the terms of the Modified BSD License.
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importStar(require("react"));
const DefaultTaskpane_1 = __importDefault(require("../DefaultTaskpane"));
const SavedAnalysisCard_1 = __importDefault(require("./SavedAnalysisCard"));
const StepDataElement_1 = require("../Steps/StepDataElement");
// Import css
require("../../../../css/replay-analysis-taskpane.css");
const ReplayAnalysisTaskpane = (props) => {
    const [openedDropdown, setOpenedDropdown] = react_1.useState(undefined);
    const [savedAnalysisDescription, setSavedAnalysisDescription] = react_1.useState(undefined);
    const [selectedSavedAnalysis, setSelectedSavedAnalysis] = react_1.useState(undefined);
    const setSelectedAnalysisAndDescription = (_savedAnalysisName, _savedAnalysisDescription) => {
        setSelectedSavedAnalysis(_savedAnalysisName);
        setSavedAnalysisDescription(_savedAnalysisDescription);
    };
    // Create the saved analysis name cards
    const savedAnalysisCards = props.savedAnalysisNames.map(savedAnalysisName => {
        return (react_1.default.createElement(SavedAnalysisCard_1.default, { key: savedAnalysisName, isDescribedAnalysis: false, savedAnalysisName: savedAnalysisName, savedAnalysisNames: props.savedAnalysisNames, openedDropdown: openedDropdown === savedAnalysisName, setOpenedDropdown: setOpenedDropdown, setSelectedAnalysisAndDescription: setSelectedAnalysisAndDescription, setModal: props.setModal, mitoAPI: props.mitoAPI }));
    });
    // Create the saved analysis step descriptions
    let savedAnalysisStepDescriptionDivs = [];
    if (savedAnalysisDescription !== undefined) {
        savedAnalysisStepDescriptionDivs = savedAnalysisDescription.map((step, index) => {
            return (react_1.default.createElement("div", { className: 'saved-analysis-taskpane-step', key: index },
                react_1.default.createElement("div", { className: 'saved-analysis-taskpane-step-icon' }, StepDataElement_1.getStepIcon(step['step_type'])),
                react_1.default.createElement("div", { className: 'saved-analysis-step-text-div' }, step['step_description'])));
        });
    }
    return (react_1.default.createElement(DefaultTaskpane_1.default, { header: 'Apply a Saved Analysis', setCurrOpenTaskpane: props.setCurrOpenTaskpane, taskpaneBody: react_1.default.createElement(react_1.Fragment, null,
            props.savedAnalysisNames.length !== 0 &&
                react_1.default.createElement(react_1.Fragment, null,
                    react_1.default.createElement("div", { className: 'saved-analyses-container' }, savedAnalysisCards),
                    react_1.default.createElement("div", { className: 'saved-analysis-divider-line-container' },
                        react_1.default.createElement("hr", { className: 'saved-analysis-divider-line' })),
                    selectedSavedAnalysis !== undefined &&
                        react_1.default.createElement(react_1.Fragment, null,
                            react_1.default.createElement(SavedAnalysisCard_1.default, { key: selectedSavedAnalysis, isDescribedAnalysis: true, savedAnalysisName: selectedSavedAnalysis, savedAnalysisNames: props.savedAnalysisNames, openedDropdown: openedDropdown === (selectedSavedAnalysis + '-described-analysis'), setOpenedDropdown: setOpenedDropdown, setSelectedAnalysisAndDescription: setSelectedAnalysisAndDescription, setModal: props.setModal, mitoAPI: props.mitoAPI }),
                            react_1.default.createElement("div", { className: 'saved-analysis-taskpane-step-container' }, savedAnalysisStepDescriptionDivs)),
                    savedAnalysisDescription === undefined &&
                        react_1.default.createElement("div", { className: 'saved-analysis-taskpane-empty-section-text-container' }, "Click an analysis to see the steps it contains.")),
            props.savedAnalysisNames.length === 0 &&
                react_1.default.createElement("div", { className: 'saved-analysis-taskpane-empty-section-text-container' }, "You don't have any saved analyses. Save one, then come back to apply it to your dataframes!")) }));
};
exports.default = ReplayAnalysisTaskpane;
//# sourceMappingURL=ReplayAnalysisTaskpane.js.map